(* GNU-GPL
 * System Compression - Logiciel de Compression/Decompression
 * Copyright (c) 2002 Ulrich Van Den Hekke (ulrich.vdh@free.fr)
 * 24 rue Jean Jaures
 * 59560 Comines
 *
 * Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon
 * les termes de la Licence Publique Gnrale GNU publie par la
 * Free Software Foundation (version 2 ou bien toute autre version ultrieure
 * choisie par vous).
 *
 * Ce programme est distribu car potentiellement utile, mais
 * SANS AUCUNE GARANTIE, ni explicite ni implicite, y compris les garanties de
 * commercialisation ou d'adaptation dans un but spcifique. Reportez-vous  la
 * Licence Publique Gnrale GNU pour plus de dtails.
 *
 * Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme
 * temps que ce programme ; si ce n'est pas le cas, crivez  la
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, tats-Unis.
 *
 *)

(******************************************************************************)
(* Constant du logiciel en mode console                                       *)
(* Version : 1.0.0.0                                                          *)
(* Author : Ulrich Van Den Hekke                                              *)
(* Create day : 06/07/2002                                                    *)
(******************************************************************************)

unit sysconsconst;

interface

resourcestring
  rsHaltApp      = 'L''application s''est termine correctement';
  rsPauseApp     = 'Appuyer sur << ENTER >> pour quitter.';

  rsTestLine     = 'Test du plugin "%s" sur des donnees aleatoires              ';
  rsData2Compress= 'Taille des donnees a compresser : %d bytes                  ';
  rsData2Decomp  = 'Taille des donnees a decompresser : %d bytes                ';
  rsDataFinal    = 'Taille des donnees decompressees : %d bytes                 ';
  rsDataEqual    = 'Les donnees sont parfaitement egales l''une a l''autre.     ';
  rsDataDiff     = 'Nous avons un gros probleme : les donnees sont differentes. ';

  rsTitleList    = 'Liste des plugins disponibles :';
  rsTextFormList = '%s (%s)';

  rsProgress     = 'Traitement de %-16s : %3d%% [%10s]                          '#13;

  rsAbort        = 'Interruption utilisateur';
  rsBadPlugins   = 'Plugin inexistant : %s';
  rsNoFileIn     = 'Aucun fichier trouve dans %s';
  rsAddFinish    = ' %12.12s compresser (%10s --> %10s)                    ';
  rsExtractFinish= ' %12.12s decompresser (%10s --> %10s)                  ';
  rsDeleteFinish = ' %12.12s supprime                                      ';
  rsEndFlush     = '                                                       ';
  rsUnknown      = 'inconnu';
  rsIgnoreCancel = 'Voulez-vous (A)nnuler ou (I)gnorer le traitement';
  rsFileNotFound = 'Ne peut trouver le fichier <%s:%d>';

  rsListCol      = ' Nom du fichier | Taille     | Date       | CRC32    | Algo      | Taille Final';
  rsListSep      = '===============================================================================';
  rsListLine     = ' %14.14s | %10s | %s | %s | %9s | %10s';

  rsInsertNewDsk = 'Inserer un nouveau disque dans le lecteur %s.        '#13;
  rsInsertOneDsk = 'Inserer le disque %d dans le lecteur %s.            '#13;

const
  cstTestBuffer = 2 * 1024 * 1024(* 1 Mo *); 
  bytesuntis    : array [0..6] of string = (' o', 'Ko', 'Mo', 'Go', 'To', 'Po', 'Eo');

implementation

end.
