(* GNU-GPL
 * System Compression - Logiciel de Compression/Decompression
 * Copyright (c) 2002 Ulrich Van Den Hekke (ulrich.vdh@free.fr)
 * 24 rue Jean Jaures
 * 59560 Comines
 *
 * Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon
 * les termes de la Licence Publique Gnrale GNU publie par la
 * Free Software Foundation (version 2 ou bien toute autre version ultrieure
 * choisie par vous).
 *
 * Ce programme est distribu car potentiellement utile, mais
 * SANS AUCUNE GARANTIE, ni explicite ni implicite, y compris les garanties de
 * commercialisation ou d'adaptation dans un but spcifique. Reportez-vous  la
 * Licence Publique Gnrale GNU pour plus de dtails.
 *
 * Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme
 * temps que ce programme ; si ce n'est pas le cas, crivez  la
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, tats-Unis.
 *
 *)

(******************************************************************************)
(* Wizard permettant la cration d'archive au format System C                 *)
(* Version : 1.0.0.0                                                          *)
(* Author : Ulrich Van Den Hekke                                              *)
(* Create day : 02/09/2002                                                    *)
(* -------------------------------------------------------------------------- *)
(* Serial : 412C6D-020902F7-87E65DF2                                          *)
(* Object : Wizard permettant la compression d'archive au format System C     *)
(******************************************************************************)

program syscwiz;

{%ToDo 'syscwiz.todo'}

uses
  Forms,
  scWizard in 'scWizard.pas' {WizardForm},
  scFileStruct in 'scFileStruct.pas',
  AlgoList in 'AlgoList.pas',
  Common in 'Common.pas',
  syswizconst in 'syswizconst.pas',
  syscutils in 'syscutils.pas',
  syscconst in 'syscconst.pas',
  scProgressForm in 'scProgressForm.pas' {ProgressForm},
  scAddForm in 'scAddForm.pas' {AddForm},
  reginfos in 'reginfos.pas';

{$R *.res}

begin
  Application.Initialize;
  Application.Title := 'System Compression';
  Application.CreateForm(TWizardForm, WizardForm);
  Application.Run;
end.
